Class FlowsRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Authentication.Flows
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\authentication\flows
public class FlowsRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderFlowsRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
FlowsRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new FlowsRequestBuilder and sets the default values.
public FlowsRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
FlowsRequestBuilder(string, IRequestAdapter)
Instantiates a new FlowsRequestBuilder and sets the default values.
public FlowsRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
this[string]
Gets an item from the Keycloak.AuthServices.Sdk.Kiota.Admin.admin.realms.item.authentication.flows.item collection
public FlowAliasItemRequestBuilder this[string position] { get; }
Parameters
positionstringFlow id
Property Value
Methods
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get authentication flows Returns a stream of authentication flows.
public Task<List<AuthenticationFlowRepresentation>?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<AuthenticationFlowRepresentation>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Models.AuthenticationFlowRepresentation>
PostAsync(AuthenticationFlowRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Create a new authentication flow
public Task PostAsync(AuthenticationFlowRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyAuthenticationFlowRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get authentication flows Returns a stream of authentication flows.
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPostRequestInformation(AuthenticationFlowRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Create a new authentication flow
public RequestInformation ToPostRequestInformation(AuthenticationFlowRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyAuthenticationFlowRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public FlowsRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.